subset,cm-method {oce} | R Documentation

## Subset a CM Object

### Description

This function is somewhat analogous to `subset.data.frame`.

### Usage

    ## S4 method for signature 'cm'
    subset(x, subset, ...)

### Arguments

`x` | a `cm` object, i.e. inheriting from `cm-class`.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Value

A new `cm` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `cm` data: `[[,cm-method`, `[[<-,cm-method`, `as.cm`, `cm-class`, `cm`, `plot,cm-method`, `read.cm`, `summary,cm-method`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(cm)
    plot(cm)
    plot(subset(cm, time < mean(range(cm[['time']]))))

[Package oce version 0.9-22 Index]